## openvswitch 2.6.1

=== debian/changelog ===
openvswitch (2.6.1-0ubuntu5) zesty; urgency=medium

  * Enable openvswitch-switch-dpdk for ppc64el (LP: #1663206)
    - debian/control: add ppc64el architecture to package and build dependency
    - debian/rules: build and test openvswitch-switch-dpdk for ppc64el

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 09 Feb 2017 11:02:44 +0100

openvswitch (2.6.1-0ubuntu4) zesty; urgency=medium

  * No change rebuild against refreshed DPDK 16.11-1ubuntu1

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 31 Jan 2017 09:42:34 +0100

openvswitch (2.6.1-0ubuntu3) zesty; urgency=medium

  * No change rebuild against DPDK 16.11 (was DPDK stuck in NEW before)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 19 Jan 2017 14:02:45 +0100

openvswitch (2.6.1-0ubuntu2) zesty; urgency=medium

  * No change rebuild against DPDK 16.11

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 19 Jan 2017 12:26:31 +0100

openvswitch (2.6.1-0ubuntu1) zesty; urgency=medium

  * New upstream point release (LP: #1641956).
  * d/openvswitch-switch.openvswitch-nonetwork.service: Update Unit
    definition to ensure that openvswitch starts prior to configuration
    of any network interfaces (LP: #1448254).  Thanks to Mark Dunn for
    this fix.

 -- James Page <james.page@ubuntu.com>  Tue, 15 Nov 2016 14:15:06 +0000
