=== debian/control ===
Source: openvswitch
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Open vSwitch developers <dev@openvswitch.org>
Uploaders: Ben Pfaff <pfaffben@debian.org>,
           Simon Horman <horms@debian.org>,
Build-Depends: autoconf (>= 2.64),
               automake (>= 1.10) | automake1.10,
               bzip2,
               debhelper (>= 9~),
               dh-autoreconf,
               dh-python,
               dh-systemd (>= 1.5),
               graphviz,
               libcap-ng-dev,
               libdpdk-dev (>= 16.07) [amd64 i386 ppc64el],
               libnuma-dev [amd64 i386],
               libpcap-dev [amd64 i386],
               libssl-dev,
               libtool,
               libxen-dev [amd64 i386],
               openssl,
               procps,
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python-six,
               python3-all,
               python3-setuptools,
               python3-six,
Standards-Version: 3.9.8
Homepage: http://openvswitch.org/
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/openvswitch
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/openvswitch
XS-Testsuite: autopkgtest

Package: openvswitch-common
Architecture: linux-any
Depends: openssl,
         python,
         python (>= 2.7),
         python-six,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: ethtool,
Breaks: openvswitch-switch (<< 2.5.0~git20160122.66cd712-0ubuntu1~),
Replaces: openvswitch-switch (<< 2.5.0~git20160122.66cd712-0ubuntu1~),
Description: Open vSwitch common components
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
 sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
 to support distribution across multiple physical servers similar to
 VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
 .
 openvswitch-common provides components required by both openvswitch-switch
 and openvswitch-testcontroller.

Package: openvswitch-switch
Architecture: linux-any
Depends: kmod | module-init-tools,
         netbase,
         openvswitch-common (= ${binary:Version}),
         procps,
         python-argparse,
         uuid-runtime,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Description: Open vSwitch switch implementations
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
 sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
 to support distribution across multiple physical servers similar to
 VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
 .
 openvswitch-switch provides the userspace components and utilities for
 the Open vSwitch kernel-based switch.

Package: openvswitch-switch-dpdk
Architecture: amd64 i386 ppc64el
Depends: dpdk,
         openvswitch-switch (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Enhances: openvswitch-switch,
Description: DPDK enabled Open vSwitch switch implementation
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
 sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
 to support distribution across multiple physical servers similar to
 VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
 .
 openvswitch-switch provides the userspace components and utilities for
 the Open vSwitch kernel-based switch.
 .
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package provides a DPDK enabled implementation of the ovs-vswitchd
 binary.

Package: ovn-common
Architecture: linux-any
Depends: openvswitch-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: OVN common components
 OVN, the Open Virtual Network, is a system to support virtual network
 abstraction.  OVN complements the existing capabilities of OVS to add
 native support for virtual network abstractions, such as virtual L2 and L3
 overlays and security groups.
 .
 ovn-common provides components required by other OVN packages.

Package: ovn-controller-vtep
Architecture: linux-any
Depends: ovn-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: OVN vtep controller
 ovn-controller-vtep is the local controller daemon in
 OVN, the Open Virtual Network, for VTEP enabled physical switches.
 It connects up to the OVN Southbound database over the OVSDB protocol,
 and down to the VTEP database over the OVSDB protocol.
 .
 ovn-controller-vtep provides the ovn-controller-vtep binary for controlling
 vtep gateways.

Package: ovn-host
Architecture: linux-any
Depends: openvswitch-common (= ${binary:Version}),
         openvswitch-switch (= ${binary:Version}),
         ovn-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: OVN host components
 OVN, the Open Virtual Network, is a system to support virtual network
 abstraction.  OVN complements the existing capabilities of OVS to add
 native support for virtual network abstractions, such as virtual L2 and L3
 overlays and security groups.
 .
 ovn-host provides the userspace components and utilities for
 OVN that can be run on every host/hypervisor.

Package: ovn-central
Architecture: linux-any
Depends: openvswitch-common (= ${binary:Version}),
         openvswitch-switch (= ${binary:Version}),
         ovn-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: OVN central components
 OVN, the Open Virtual Network, is a system to support virtual network
 abstraction.  OVN complements the existing capabilities of OVS to add
 native support for virtual network abstractions, such as virtual L2 and L3
 overlays and security groups.
 .
 ovn-central provides the userspace daemons, utilities and
 databases for OVN that is run at a central location.

Package: ovn-docker
Architecture: any
Depends: openvswitch-common (= ${binary:Version}),
         openvswitch-switch (= ${binary:Version}),
         ovn-common (= ${binary:Version}),
         python (>= 2.7),
         python-openvswitch (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Description: OVN Docker drivers
 OVN, the Open Virtual Network, is a system to support virtual network
 abstraction.  OVN complements the existing capabilities of OVS to add
 native support for virtual network abstractions, such as virtual L2 and L3
 overlays and security groups.
 .
 ovn-docker provides the docker drivers for OVN.

Package: openvswitch-ipsec
Architecture: linux-any
Depends: ipsec-tools (>=0.8~alpha20101208),
         openvswitch-common (= ${binary:Version}),
         openvswitch-switch (= ${binary:Version}),
         python,
         python-openvswitch (= ${source:Version}),
         racoon (>=0.8~alpha20101208),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Open vSwitch GRE-over-IPsec support
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
 sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
 to support distribution across multiple physical servers similar to
 VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
 .
 The ovs-monitor-ipsec script provides support for encrypting GRE
 tunnels with IPsec.

Package: openvswitch-pki
Architecture: all
Depends: openvswitch-common (<< ${source:Version}.1~),
         openvswitch-common (>= ${source:Version}),
         ${misc:Depends},
Description: Open vSwitch public key infrastructure dependency package
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
 sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
 to support distribution across multiple physical servers similar to
 VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
 .
 openvswitch-pki provides PKI (public key infrastructure) support for
 Open vSwitch switches and controllers, reducing the risk of
 man-in-the-middle attacks on the Open vSwitch network infrastructure.

Package: openvswitch-testcontroller
Architecture: linux-any
Depends: openvswitch-common (= ${binary:Version}),
         openvswitch-pki (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: openvswitch-test (<< 2.1.2-0ubuntu3),
Replaces: openvswitch-test (<< 2.1.2-0ubuntu3),
Description: Simple controller for testing OpenFlow setups
 This controller enables OpenFlow switches that connect to it to act
 as MAC-learning Ethernet switches.  It can be used for initial
 testing of OpenFlow networks.  It is not a necessary or desirable
 part of a production OpenFlow deployment.

Package: openvswitch-dbg
Section: debug
Architecture: linux-any
Depends: openvswitch-common (= ${binary:Version}),
         openvswitch-switch (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Debug symbols for Open vSwitch packages
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
 sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
 to support distribution across multiple physical servers similar to
 VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
 .
 This package contains the debug symbols for all the other openvswitch-*
 packages.  Install it to debug one of them or to examine a core dump
 produced by one of them.

Package: python-openvswitch
Architecture: all
Section: python
Depends: python-six,
         ${misc:Depends},
         ${python:Depends},
Description: Python bindings for Open vSwitch
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
 sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
 to support distribution across multiple physical servers similar to
 VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
 .
 This package contains the full Python bindings for Open vSwitch database.

Package: python3-openvswitch
Architecture: all
Section: python
Depends: python3-six,
         ${misc:Depends},
         ${python3:Depends},
Description: Python 3 bindings for Open vSwitch
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
