## openvswitch 2.6.1+git20161123

=== debian/changelog ===
openvswitch (2.6.1+git20161123-1~bpo8+1) UNRELEASED; urgency=medium

  * jessie-backports Rebuilt for jessie.

 -- Ben Pfaff <pfaffben@debian.org>  Thu, 24 Nov 2016 19:43:03 +0000

openvswitch (2.6.1+git20161123-1) unstable; urgency=medium

  * New snapshot from the upstream Git repository.

 -- Ben Pfaff <pfaffben@debian.org>  Wed, 23 Nov 2016 15:19:43 -0800

openvswitch (2.6.1-1) unstable; urgency=low
   [ Open vSwitch team ]
   * New upstream version
   - Fedora packaging:
     * A package upgrade does not automatically restart OVS service.
   - Bug fixes

 -- Open vSwitch team <dev@openvswitch.org>  Tue, 01 Nov 2016 15:40:17 -0700

openvswitch (2.6.0-1) unstable; urgency=low
   [ Open vSwitch team ]
   * New upstream version
   - First supported release of OVN.  See ovn-architecture(7) for more
     details.
   - ovsdb-server:
     * New "monitor_cond" "monitor_cond_update" and "update2" extensions to
       RFC 7047.
   - OpenFlow:
     * OpenFlow 1.3+ bundles are now supported for group mods as well as
       flow mods and port mods.  Both 'atomic' and 'ordered' bundle
       flags are supported for group mods as well as flow mods.
     * OpenFlow 1.1+ OFPT_QUEUE_GET_CONFIG_REQUEST now supports OFPP_ANY.
     * OpenFlow 1.4+ OFPMP_QUEUE_DESC is now supported.
     * OpenFlow 1.4+ OFPT_TABLE_STATUS is now supported.
     * New property-based packet-in message format NXT_PACKET_IN2 with support
       for arbitrary user-provided data and for serializing flow table
       traversal into a continuation for later resumption.
     * New extension message NXT_SET_ASYNC_CONFIG2 to allow OpenFlow 1.4-like
       control over asynchronous messages in earlier versions of OpenFlow.
     * OpenFlow 1.3 Extension 230, adding OpenFlow Bundles support, is
       now implemented.  Only flow mod and port mod messages are supported
       in bundles.
     * New OpenFlow extension NXM_NX_MPLS_TTL to provide access to MPLS TTL.
     * New output option, output(port=N,max_len=M), to allow truncating a
       packet to size M bytes when outputting to port N.
     * New command OFPGC_ADD_OR_MOD for OFPT_GROUP_MOD message that adds a
       new group or modifies an existing groups
     * The optional OpenFlow packet buffering feature is deprecated in
       this release, and will be removed in the next OVS release
       (2.7).  After the change OVS always sends the 'buffer_id' as
       0xffffffff in packet-in messages and will send an error
       response if any other value of this field is included in
       packet-out and flow mod sent by a controller.  Controllers are
       already expected to work properly in cases where the switch can
       not buffer packets, so this change should not affect existing
       users.
     * New OpenFlow extension NXT_CT_FLUSH_ZONE to flush conntrack zones.
   - Improved OpenFlow version compatibility for actions:
     * New OpenFlow extension to support the "group" action in OpenFlow 1.0.
     * OpenFlow 1.0 "enqueue" action now properly translated to OpenFlow 1.1+.
     * OpenFlow 1.1 "mod_nw_ecn" and OpenFlow 1.1+ "mod_nw_ttl" actions now
       properly translated to OpenFlow 1.0.
   - ovs-ofctl:
     * queue-get-config command now allows a queue ID to be specified.
     * '--bundle' option can now be used with OpenFlow 1.3 and with group mods.
     * New "bundle" command allows executing a mixture of flow and group mods
       as a single atomic transaction.
     * New option "--color" to produce colorized output for some commands.
     * New option '--may-create' to use OFPGC_ADD_OR_MOD in mod-group command.
   - IPFIX:
     * New "sampling_port" option for "sample" action to allow sampling
       ingress and egress tunnel metadata with IPFIX.
     * New ovs-ofctl commands "dump-ipfix-bridge" and "dump-ipfix-flow" to
       dump bridge IPFIX statistics and flow based IPFIX statistics.
     * New setting other-config:virtual_obs_id to add an arbitrary string
       to IPFIX records.
   - Linux:
     * New QoS type "linux-noop" that prevents Open vSwitch from trying to
       manage QoS for a given port (useful when other software manages QoS).
   - DPDK:
     * New option "n_rxq" for PMD interfaces.
       Old 'other_config:n-dpdk-rxqs' is no longer supported.
       Not supported by vHost interfaces. For them number of rx and tx queues
       is applied from connected virtio device.
     * New 'other_config:pmd-rxq-affinity' field for PMD interfaces, that
       allows to pin port's rx queues to desired cores.
     * New appctl command 'dpif-netdev/pmd-rxq-show' to check the port/rxq
       assignment.
     * Type of log messages from PMD threads changed from INFO to DBG.
     * QoS functionality with sample egress-policer implementation.
     * The mechanism for configuring DPDK has changed to use database
     * Sensible defaults have been introduced for many of the required
       configuration options
     * DB entries have been added for many of the DPDK EAL command line
       arguments. Additional arguments can be passed via the dpdk-extra
       entry.
     * Add ingress policing functionality.
     * PMD threads servicing vHost User ports can now come from the NUMA
       node that device memory is located on if CONFIG_RTE_LIBRTE_VHOST_NUMA
       is enabled in DPDK.
     * Basic connection tracking for the userspace datapath (no ALG,
       fragmentation or NAT support yet)
     * Support for DPDK 16.07
     * Optional support for DPDK pdump enabled.
     * Jumbo frame support
     * Remove dpdkvhostcuse port type.
     * OVS client mode for vHost and vHost reconnect (Requires QEMU 2.7)
   - Increase number of registers to 16.
   - ovs-benchmark: This utility has been removed due to lack of use and
     bitrot.
   - ovs-appctl:
     * New "vlog/close" command.
   - ovs-ctl:
     * Added the ability to selectively start the forwarding and database
       functions (ovs-vswitchd and ovsdb-server, respectively).
   - ovsdb-server:

