## openvswitch 2.6.2~pre%2Bgit20161223

=== debian/changelog ===
openvswitch (2.6.2~pre+git20161223-3) unstable; urgency=medium

  * Avoid installing ovs-vswitchd.conf.db.5 manpage into directory for
    language "db".  Closes: #850631.  Thanks to Michael Stapelberg
    <stapelberg@debian.org> for reporting this bug.

 -- Ben Pfaff <pfaffben@debian.org>  Mon, 09 Jan 2017 14:46:48 -0800

openvswitch (2.6.2~pre+git20161223-2) unstable; urgency=medium

  * Apply upstream patches:
    - c8ad60e debian: Also restrict ovn-docker package to Linux.
    - 90c25ef tests: Fix race in "ovn -- vtep: 3 HVs, 1 VIFs/HV, 1 GW, 1 LS".
    - 6fe9954 rconn: Avoid abort for ill-behaved remote.
  * Builds fine with OpenSSL 1.1.  Closes: #828478.
  * Upstream bug fixes from this and previous upload fix endianness issues.
    Closes: #840770.

 -- Ben Pfaff <pfaffben@debian.org>  Fri, 23 Dec 2016 16:35:11 -0800

openvswitch (2.6.2~pre+git20161223-1) unstable; urgency=medium

  * Bug fixes from upstream Git repository.
  * Fix arch-independent build.  Thanks to Santiago Vila <sanvila@unex.es>
    and nickcooper-zhangtonghao <nic@opencloud.tech> for the fix.  Closes:
    #831924.

 -- Ben Pfaff <pfaffben@debian.org>  Fri, 23 Dec 2016 09:43:56 -0800
