=== debian/rules ===
--- 
+++ 
@@ -46,10 +46,16 @@
 	rm -f python/ovs/*.pyc python/ovs/db/*.pyc
 	dh_auto_clean
 
-override_dh_install:
+override_dh_install-arch:
 	dh_install
 	# openvswitch-switch
 	cp debian/openvswitch-switch.template debian/openvswitch-switch/usr/share/openvswitch/switch/default.template
+
+	# ovn-host
+	cp debian/ovn-host.template debian/ovn-host/usr/share/ovn/host/default.template
+
+	# ovn-central
+	cp debian/ovn-central.template debian/ovn-central/usr/share/ovn/central/default.template
 
 override_dh_installinit:
 	dh_installinit -R
@@ -58,3 +64,6 @@
 	dh_strip --dbg-package=openvswitch-dbg
 
 override_dh_usrlocal:
+
+override_dh_installman:
+	dh_installman --language=C
