## openvswitch 2.6.2~pre+git20161223

=== debian/control ===
Source: openvswitch
Section: net
Priority: extra
Maintainer: Open vSwitch developers <dev@openvswitch.org>
Uploaders: Ben Pfaff <pfaffben@debian.org>, Simon Horman <horms@debian.org>
Build-Depends: graphviz,
               autoconf (>= 2.64),
               automake (>= 1.10) | automake1.10,
               bzip2,
               debhelper (>= 8),
               dh-autoreconf,
               libssl-dev,
               libtool,
               openssl,
               procps,
               python-all (>= 2.7),
               python-twisted-conch,
               python-zopeinterface,
               python-six
Standards-Version: 3.9.3
Homepage: http://openvswitch.org/

Package: openvswitch-common
Architecture: linux-any
Depends: openssl,
         python (>= 2.7),
         python-six,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: ethtool
Replaces: openvswitch-switch (<< 2.5.90)
Breaks: openvswitch-switch (<< 2.5.90)
Description: Open vSwitch common components
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
 sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
 to support distribution across multiple physical servers similar to
 VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
 .
 openvswitch-common provides components required by both openvswitch-switch
 and openvswitch-testcontroller.

Package: openvswitch-switch
Architecture: linux-any
Depends: kmod,
         netbase,
         openvswitch-common (= ${binary:Version}),
         procps,
         python-argparse,
         uuid-runtime,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: Open vSwitch switch implementations
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
 sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
 to support distribution across multiple physical servers similar to
 VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
 .
 openvswitch-switch provides the userspace components and utilities for
 the Open vSwitch kernel-based switch.

Package: ovn-common
Architecture: linux-any
Depends: openvswitch-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: OVN common components
 OVN, the Open Virtual Network, is a system to support virtual network
 abstraction.  OVN complements the existing capabilities of OVS to add
 native support for virtual network abstractions, such as virtual L2 and L3
 overlays and security groups.
 .
 ovn-common provides components required by other OVN packages.

Package: ovn-controller-vtep
Architecture: linux-any
Depends: ovn-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: OVN vtep controller
 ovn-controller-vtep is the local controller daemon in
 OVN, the Open Virtual Network, for VTEP enabled physical switches.
 It connects up to the OVN Southbound database over the OVSDB protocol,
 and down to the VTEP database over the OVSDB protocol.
 .
 ovn-controller-vtep provides the ovn-controller-vtep binary for controlling
 vtep gateways.


Package: ovn-host
Architecture: linux-any
Depends: openvswitch-switch (= ${binary:Version}),
         openvswitch-common (= ${binary:Version}),
         ovn-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: OVN host components
 OVN, the Open Virtual Network, is a system to support virtual network
 abstraction.  OVN complements the existing capabilities of OVS to add
 native support for virtual network abstractions, such as virtual L2 and L3
 overlays and security groups.
 .
 ovn-host provides the userspace components and utilities for
 OVN that can be run on every host/hypervisor.

Package: ovn-central
Architecture: linux-any
Depends: openvswitch-switch (= ${binary:Version}),
         openvswitch-common (= ${binary:Version}),
         ovn-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: OVN central components
 OVN, the Open Virtual Network, is a system to support virtual network
 abstraction.  OVN complements the existing capabilities of OVS to add
 native support for virtual network abstractions, such as virtual L2 and L3
 overlays and security groups.
 .
 ovn-central provides the userspace daemons, utilities and
 databases for OVN that is run at a central location.

Package: ovn-docker
Architecture: any
Depends: openvswitch-switch (= ${binary:Version}),
         openvswitch-common (= ${binary:Version}),
         python (>= 2.7),
         python-openvswitch (= ${source:Version}),
         ovn-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: OVN Docker drivers
 OVN, the Open Virtual Network, is a system to support virtual network
 abstraction.  OVN complements the existing capabilities of OVS to add
 native support for virtual network abstractions, such as virtual L2 and L3
 overlays and security groups.
 .
 ovn-docker provides the docker drivers for OVN.

Package: openvswitch-ipsec
Architecture: linux-any
Depends: ipsec-tools (>=0.8~alpha20101208),
         iproute2,
         openvswitch-common (= ${binary:Version}),
         openvswitch-switch (= ${binary:Version}),
         python,
         python-openvswitch (= ${source:Version}),
         racoon (>=0.8~alpha20101208),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Open vSwitch GRE-over-IPsec support
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
 sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
 to support distribution across multiple physical servers similar to
 VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
 .
 The ovs-monitor-ipsec script provides support for encrypting GRE
 tunnels with IPsec.
 IPsec tunnels support is deprecated.

Package: openvswitch-pki
Architecture: all
Depends: openvswitch-common (<< ${source:Version}.1~),
         openvswitch-common (>= ${source:Version}),
         ${misc:Depends}
Description: Open vSwitch public key infrastructure dependency package
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
 sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
 to support distribution across multiple physical servers similar to
 VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
 .
 openvswitch-pki provides PKI (public key infrastructure) support for
 Open vSwitch switches and controllers, reducing the risk of
 man-in-the-middle attacks on the Open vSwitch network infrastructure.

Package: openvswitch-testcontroller
Architecture: linux-any
Depends: openvswitch-common (= ${binary:Version}),
         openvswitch-pki (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Simple controller for testing OpenFlow setups
 This controller enables OpenFlow switches that connect to it to act
 as MAC-learning Ethernet switches.  It can be used for initial
 testing of OpenFlow networks.  It is not a necessary or desirable
 part of a production OpenFlow deployment.

Package: openvswitch-dbg
Section: debug
Architecture: linux-any
Depends: openvswitch-common (= ${binary:Version}),
         openvswitch-switch (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: openvswitch-testcontroller (<< ${binary:Version}),
           openvswitch-testcontroller (>> ${binary:Version})
Description: Debug symbols for Open vSwitch packages
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
 sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
 to support distribution across multiple physical servers similar to
 VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
 .
 This package contains the debug symbols for all the other openvswitch-*
 packages.  Install it to debug one of them or to examine a core dump
 produced by one of them.

Package: python-openvswitch
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python:Depends}, python-six
Description: Python bindings for Open vSwitch
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
 sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
 to support distribution across multiple physical servers similar to
 VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
 .
 This package contains the full Python bindings for Open vSwitch database.

Package: openvswitch-test
Architecture: all
Depends: python (>= 2.7) | python-argparse,
         python-twisted-web,
         ${misc:Depends},
         ${python:Depends}
Description: Open vSwitch test package
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
 sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
 to support distribution across multiple physical servers similar to
 VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
 .
 This package contains utilities that are useful to diagnose
 performance and connectivity issues in Open vSwitch setup.

Package: openvswitch-vtep
Architecture: linux-any
Depends: openvswitch-common (>= ${binary:Version}),
         openvswitch-switch (>= ${binary:Version}),
         python,
         python-openvswitch (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Open vSwitch VTEP utilities
 Open vSwitch is a production quality, multilayer, software-based, Ethernet
 virtual switch. It is designed to enable massive network automation through
 programmatic extension, while still supporting standard management interfaces
 and protocols (e.g. NetFlow, sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In
 addition, it is designed to support distribution across multiple physical
 servers similar to VMware's vNetwork distributed vswitch or Cisco's Nexus
 1000V.
 .
 This package provides utilities that are useful to interact with a
 VTEP-configured database and a VTEP emulator.

Package: openvswitch-dev
Architecture: linux-any
Depends:
 openvswitch-common (>= ${binary:Version}),
 ${misc:Depends}
Description: Open vSwitch development package
 Open vSwitch is a production quality, multilayer, software-based, Ethernet
 virtual switch. It is designed to enable massive network automation through
 programmatic extension, while still supporting standard management interfaces
 and protocols (e.g. NetFlow, sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In
 addition, it is designed to support distribution across multiple physical
