## openvswitch 2.6.3

=== debian/changelog ===
openvswitch (2.6.3-0ubuntu0.17.04.1~cloud0) xenial; urgency=medium

  * Bump nofiles to 1048576 for ovs daemons (LP: #1737866).
  * d/watch: Fix watchfile for upstream website changes.
  * New upstream point release (LP: #1787599).
    - d/p/CVE-2017-9214.patch,CVE-2017-9264.patch,CVE-2017-9265.patch:
      Dropped, included in upstream release.

 -- James Page <james.page@ubuntu.com>  Tue, 21 Aug 2018 06:17:10 +0100

openvswitch (2.6.1-0ubuntu5.2) zesty; urgency=medium

  * d/openvswitch-switch.postinst: Do not modify
    /etc/default/openvswitch-switch as this file is now managed
    as a configuration file by dpkg (LP: #1723480).

 -- Frode Nordahl <frode.nordahl@gmail.com>  Tue, 17 Oct 2017 16:32:44 +0000

openvswitch (2.6.1-0ubuntu5.1) zesty-security; urgency=medium

  * SECURITY UPDATE: DoS while parsing OFPT_QUEUE_GET_CONFIG_REPLY message
    - debian/patches/CVE-2017-9214.patch: properly check length in
      lib/ofp-util.c.
    - CVE-2017-9214
  * SECURITY UPDATE: DoS while parsing OpenFlow role status message
    - debian/patches/CVE-2017-9263.patch: don't abort on unknown reason in
      lib/ofp-print.c.
    - CVE-2017-9263
  * SECURITY UPDATE: DoS in firewall implementation
    - debian/patches/CVE-2017-9264.patch: fix checks for header sizes in
      lib/conntrack.c.
    - CVE-2017-9264
  * SECURITY UPDATE: DoS while parsing group mod OpenFlow message
    - debian/patches/CVE-2017-9265.patch: check length in lib/ofp-util.c.
    - CVE-2017-9265

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 24 Aug 2017 14:09:53 -0400
