## openvswitch 2.6.10

=== debian/changelog ===
openvswitch (2.6.10-0+deb9u1) stretch-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * New upstream point release
    among bug fixes, this release contains fixes for
     * CVE-2020-35498
       Denial of service attacks, in which crafted network packets
       could cause the packet lookup to ignore network header fields
       from layers 3 and 4. The crafted network packet is an ordinary
       IPv4 or IPv6 packet with Ethernet padding length above 255 bytes.
       This causes the packet sanity check to abort parsing header
       fields after layer 2.
     * CVE-2020-27827
       Denial of service attacks using crafted LLDP packets.
     * CVE-2018-17206
       Buffer over-read issue during BUNDLE action decoding.
     * CVE-2018-17204
       Assertion failure due to not validating information (group type
       and command) in OF1.5 decoder.
     * CVE-2017-9214
       Buffer over-read that is caused by an unsigned integer underflow.
     * CVE-2015-8011
       Buffer overflow in the lldp_decode function in
       daemon/protocols/lldp.c in lldpd before 0.8.0 allows remote
       attackers to cause a denial of service (daemon crash) and
       possibly execute arbitrary code via vectors involving large
       management addresses and TLV boundaries.

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 15 Feb 2021 19:03:02 +0100
